TEnvironmentConfig._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TEnvironmentConfig._Fields

- java.lang.Object
- - java.lang.Enum<TEnvironmentConfig._Fields>
  - - com.sleepycat.thrift.TEnvironmentConfig._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TEnvironmentConfig._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TEnvironmentConfig

      public static enum TEnvironmentConfig._Fields
      extends java.lang.Enum<TEnvironmentConfig._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_CREATE`
    `CACHE_COUNT`
    `CACHE_SIZE`
    `DURABILITY`
    `ENCRYPTION_KEY`
    `LOCK_DETECT_MODE`
    `MULTIVERSION`
    `RUN_RECOVERY`
    `TXN_NO_WAIT`
    `TXN_SNAPSHOT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TEnvironmentConfig._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TEnvironmentConfig._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TEnvironmentConfig._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TEnvironmentConfig._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TEnvironmentConfig._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_CREATE

          public static final TEnvironmentConfig._Fields ALLOW_CREATE

    - #### CACHE_COUNT

          public static final TEnvironmentConfig._Fields CACHE_COUNT

    - #### CACHE_SIZE

          public static final TEnvironmentConfig._Fields CACHE_SIZE

    - #### ENCRYPTION_KEY

          public static final TEnvironmentConfig._Fields ENCRYPTION_KEY

    - #### LOCK_DETECT_MODE

          public static final TEnvironmentConfig._Fields LOCK_DETECT_MODE

      See Also:
        `TLockDetectMode`

    - #### MULTIVERSION

          public static final TEnvironmentConfig._Fields MULTIVERSION

    - #### RUN_RECOVERY

          public static final TEnvironmentConfig._Fields RUN_RECOVERY

    - #### TXN_NO_WAIT

          public static final TEnvironmentConfig._Fields TXN_NO_WAIT

    - #### TXN_SNAPSHOT

          public static final TEnvironmentConfig._Fields TXN_SNAPSHOT

    - #### DURABILITY

          public static final TEnvironmentConfig._Fields DURABILITY

  - ### Method Detail

    - #### values

          public static TEnvironmentConfig._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TEnvironmentConfig._Fields c : TEnvironmentConfig._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TEnvironmentConfig._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TEnvironmentConfig._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TEnvironmentConfig._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TEnvironmentConfig._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.